
QGIS Application - Bug report #8615

Python error on startup (Windows 64-bit)

2013-09-15 01:01 PM - Steven Horner

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows 8 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17353

Description

The latest Windows 64-bit download fom "http://qgis.org/downloads/QGIS-OSGeo4W-2.0.1-Setup-x86_64.exe" has problems upon

starting QGIS there is a Python error:

Couldn't load plugin 'processing' from ['C:/PROGRA~1/QGISDU~1/apps/qgis/./python', 'C:\\Users\\Steven/.qgis2/python',

'C:\\Users\\Steven/.qgis2/python/plugins', 'C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins',

'C:\\PROGRA~1\\QGISDU~1\\bin\\python27.zip', 'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\DLLs',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib', 'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\plat-win',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\lib-tk', 'C:\\PROGRA~1\\QGISDU~1\\bin',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27', 'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages\\PIL',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages\\win32',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages\\win32\\lib',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages\\Pythonwin',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\PROGRA~1\\QGISDU~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode',

'C:\\PROGRA~1\\QGISDU~1\\apps\\qgis\\python\\plugins\\fTools\\tools']

Traceback (most recent call last):

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 182, in loadPlugin

    __import__(packageName)

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\__init__.py", line 20, in 

    from processing.tools.general import runalg, runandload, alghelp, alglist, algoptions, load, extent, getobject

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\tools\\general.py", line 29, in 

    from processing.core.Processing import Processing

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 48, in 

    from processing.r.RAlgorithmProvider import RAlgorithmProvider

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\

\\RAlgorithmProvider.py", line 37, in 

    from processing.r.CreateNewRScriptAction import CreateNewRScriptAction

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\

\\CreateNewRScriptAction.py", line 26, in 

    from processing.script.EditScriptDialog import EditScriptDialog

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\script\\EditScriptDialog.py", line 124, in 

    from PyQt4.Qsci import QsciScintilla, QsciLexerPython

  File "C:/PROGRA~1/QGISDU~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named Qsci

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.0.1-Dufour Dufour, exported

Python path: ['C:/PROGRA~1/QGISDU~1/apps/qgis/./python', 'C:\\\\Users\\\\Steven/.qgis2/python',

'C:\\\\Users\\\\Steven/.qgis2/python/plugins', 'C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QGISDU~1\\\\bin',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27', 'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~1\\\\QGISDU~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

This appears to be a problem with the formatting of the paths. 

For instance "C:/PROGRA~1/QGISDU~1/apps/qgis/./python" is incorrect and is probably supposed to be

"C:\\PROGRA~1\\QGISDU~1\\apps\\qgis\\python" 

History

#1 - 2013-09-17 03:34 AM - Giovanni Manghi

- Status changed from Open to Feedback

Just tested on a fresh Windows 7 installation  and I cannot confirm.

#2 - 2013-09-17 03:40 AM - Paolo Cavallini

- Status changed from Feedback to Closed

- Resolution set to fixed

Fixed in the latest version of the installer.
#3 - 2013-10-21 10:06 AM - Ryan Holmes

- Status changed from Closed to Reopened

- Target version set to Version 2.0.0

I'm encountering what looks like the same error using the most recent release package, both through the quick install download and the OSGEO advanced

installer, as of 10/21/2013, noon Central Time (USA). All dependencies presumably were updated through the advanced installer. This is Windows 7

64-bit using 64-bit install, which is slightly different from the Windows version on the original ticket. Apologies if I should have opened a new ticket for this

given the OS version disparity: first time poster, though a user for 1-2 years. I still have QGIS 1.8 installed in a separate directory while testing the new

version; unsure if this could cause a problem, though my sense is that's unlikely. Thanks.

Couldn't load plugin 'processing' from ['C:/OSGEO4~1/apps/qgis/./python', 'C:\\Users\\Ryan/.qgis2/python',

'C:\\Users\\Ryan/.qgis2/python/plugins', 'C:/OSGEO4~1/apps/qgis/./python/plugins', 'C:\\OSGeo4W\\apps\\python27',

'C:\\OSGeo4W\\apps\\python27\\DLLs', 'C:\\OSGeo4W\\apps\\python27\\lib\\C:\\OSGeo4W\\apps\\python27\\lib\\lib-tk',

'C:\\OSGEO4~1\\bin\\python27.zip', 'C:\\OSGEO4~1\\apps\\Python27\\DLLs', 'C:\\OSGEO4~1\\apps\\Python27\\lib',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\plat-win', 'C:\\OSGEO4~1\\apps\\Python27\\lib\\lib-tk', 'C:\\OSGEO4~1\\bin',

'C:\\OSGEO4~1\\apps\\Python27', 'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\PIL', 'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\pytz-2012j-py2.7.egg',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\win32', 'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\win32\\lib',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\Pythonwin',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\six-1.3.0-py2.7.egg',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\xlrd-0.9.2-py2.7.egg',

'C:\\OSGEO4~1\\apps\\Python27\\lib\\site-packages\\xlwt-0.7.5-py2.7.egg', 'C:\\OSGEO4~1\\apps\\qgis\\python\\plugins\\fTools\\tools']

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 182, in loadPlugin

    __import__(packageName)

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\__init__.py", line 20, in 

    from processing.tools.general import runalg, runandload, alghelp, alglist, algoptions, load, extent, getobject

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\tools\\general.py", line 29, in 

    from processing.core.Processing import Processing

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 52, in 

    from processing.admintools.AdminToolsAlgorithmProvider import AdminToolsAlgorithmProvider

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\admintools\\AdminToolsAlgorithmProvider.py", line 30, in 

    from processing.admintools.ImportVectorIntoGeoServer import ImportVectorIntoGeoServer

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\admintools\\ImportVectorIntoGeoServer.py", line 32, in 

    from processing.admintools.GeoServerToolsAlgorithm import GeoServerToolsAlgorithm

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\admintools\\GeoServerToolsAlgorithm.py", line 20, in 

    from processing.admintools.geoserver.catalog import Catalog
  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\admintools\\geoserver\\catalog.py", line 28, in 

    from processing.admintools.geoserver.layer import Layer

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\admintools\\geoserver\\layer.py", line 26, in 

    from processing.admintools.geoserver.support import ResourceInfo, xml_property, write_bool, url

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGEO4~1/apps/qgis/./python/plugins\\processing\\admintools\\geoserver\\support.py", line 28, in 

    import urllib

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\OSGEO4~1\\apps\\Python27\\lib\\urllib.py", line 26, in 

    import socket

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\OSGEO4~1\\apps\\Python27\\lib\\socket.py", line 47, in 

    import _socket

  File "C:/OSGEO4~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: DLL load failed: %1 is not a valid Win32 application.

Python version:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:

2.0.1-Dufour Dufour, d94c044

Python path: ['C:/OSGEO4~1/apps/qgis/./python', 'C:\\\\Users\\\\Ryan/.qgis2/python', 'C:\\\\Users\\\\Ryan/.qgis2/python/plugins',

'C:/OSGEO4~1/apps/qgis/./python/plugins', 'C:\\\\OSGeo4W\\\\apps\\\\python27', 'C:\\\\OSGeo4W\\\\apps\\\\python27\\\\DLLs',

'C:\\\\OSGeo4W\\\\apps\\\\python27\\\\lib\\\\C:\\\\OSGeo4W\\\\apps\\\\python27\\\\lib\\\\lib-tk', 'C:\\\\OSGEO4~1\\\\bin\\\\python27.zip',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGEO4~1\\\\bin', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg',

'C:\\\\OSGEO4~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

#4 - 2014-01-21 12:11 PM - Eric Compas

Just received the same error on a QGIS 2.0.1 64-bit install on Win8.1
#5 - 2014-01-22 11:42 AM - Simon Dedman

Same for me, 2.0.1 64 bit Win7, also on the master I believe; had this a long while.

Couldn't load plugin 'processing' from ['C:/OSGeo4W/apps/qgis/./python', 'C:\\Users\\Simon Dedman/.qgis2/python', 'C:\\Users\\Simon

Dedman/.qgis2/python/plugins', 'C:/OSGeo4W/apps/qgis/./python/plugins',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\geojson-1.0-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\tempita-0.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\webtest-1.1-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\weberror-0.9.1-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\webob-0.9.4-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\mako-0.2.3-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\

ose-0.10.4-py2.5.egg', 'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\decorator-2.2.0-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\formencode-1.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\pastescript-1.7.3-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\pastedeploy-1.3.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\paste-1.7.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\beaker-1.1.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\webhelpers-0.6.3-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\

outes-1.10.1-py2.5.egg', 'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\pygments-1.0-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\wsgiref-0.1.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\mapfish-1.0-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\simplejson-2.0.5-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\pylons-0.9.6.2-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\sqlalchemy-0.5.0rc1-py2.5.egg',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\Shapely-1.0.7-py2.5-win32.egg', 'C:\\Program Files (x86)\\ArcGIS\\bin',

'C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages', 'C:\\OSGeo4W\\bin\\python27.zip', 'C:\\OSGeo4W\\apps\\Python27\\DLLs',

'C:\\OSGeo4W\\apps\\Python27\\lib', 'C:\\OSGeo4W\\apps\\Python27\\lib\\plat-win', 'C:\\OSGeo4W\\apps\\Python27\\lib\\lib-tk',

'C:\\OSGeo4W\\bin', 'C:\\OSGeo4W\\apps\\Python27', 'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages',

'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\PIL', 'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\win32',

'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\win32\\lib', 'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\Pythonwin',

'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win32.egg',

'C:\\OSGeo4W\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode', 'C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools']

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 182, in loadPlugin

    __import__(packageName)

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\__init__.py", line 20, in 

    from processing.tools.general import runalg, runandload, alghelp, alglist, algoptions, load, extent, getobject

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\tools\\general.py", line 29, in 

    from processing.core.Processing import Processing

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 52, in 

    from processing.admintools.AdminToolsAlgorithmProvider import AdminToolsAlgorithmProvider

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

2025-04-27 5/10



  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\admintools\\AdminToolsAlgorithmProvider.py", line 19, in 

    from processing.admintools.PostGISExecuteSQL import PostGISExecuteSQL

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\admintools\\PostGISExecuteSQL.py", line 32, in 

    from processing.admintools import postgis_utils

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/OSGeo4W/apps/qgis/./python/plugins\\processing\\admintools\\postgis_utils.py", line 39, in 

    import psycopg2

  File "C:/OSGeo4W/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\OSGeo4W\\apps\\mapfish_framework-1.0\\site-packages\\psycopg2\\__init__.py", line 55, in 

    from psycopg2 import tz

ImportError: cannot import name tz

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

2.0.1-Dufour Dufour, ebebdf3

Python path: ['C:/OSGeo4W/apps/qgis/./python', 'C:\\\\Users\\\\Simon Dedman/.qgis2/python', 'C:\\\\Users\\\\Simon

Dedman/.qgis2/python/plugins', 'C:/OSGeo4W/apps/qgis/./python/plugins',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\geojson-1.0-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\tempita-0.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\webtest-1.1-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\weberror-0.9.1-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\webob-0.9.4-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\mako-0.2.3-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\

ose-0.10.4-py2.5.egg', 'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\decorator-2.2.0-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\formencode-1.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\pastescript-1.7.3-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\pastedeploy-1.3.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\paste-1.7.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\beaker-1.1.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\webhelpers-0.6.3-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\

outes-1.10.1-py2.5.egg', 'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\pygments-1.0-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\wsgiref-0.1.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\mapfish-1.0-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\simplejson-2.0.5-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\pylons-0.9.6.2-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\sqlalchemy-0.5.0rc1-py2.5.egg',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages\\\\Shapely-1.0.7-py2.5-win32.egg', 'C:\\\\Program Files (x86)\\\\ArcGIS\\\\bin',

'C:\\\\OSGeo4W\\\\apps\\\\mapfish_framework-1.0\\\\site-packages', 'C:\\\\OSGeo4W\\\\bin\\\\python27.zip',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\DLLs', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\OSGeo4W\\\\bin', 'C:\\\\OSGeo4W\\\\apps\\\\Python27',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32', 'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg',
'C:\\\\OSGeo4W\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\OSGeo4W\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

#6 - 2014-01-22 11:59 AM - Jürgen Fischer

- Resolution deleted (fixed)

#7 - 2014-01-22 12:09 PM - Jürgen Fischer

Simon Dedman wrote:

Same for me, 2.0.1 64 bit Win7, also on the master I believe; had this a long while.

[...]

deinstall the mapfish package.  It apparently comes with an psycopg2 copy that clashes with the main version.

#8 - 2014-01-22 12:28 PM - Simon Dedman

Thanks Jurgen, will do.

#9 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#10 - 2014-03-05 06:17 AM - Gary Chandler

I have the same problem when starting QGIS desktop, but it is with the latest Windows 32-bit version (2.2.0) downloaded on 5th March. I am running

windows XP 32-bit.

Couldn't load plugin 'processing' from ['C:/PROGRA~1/QGISVA~1/apps/qgis/./python', 'C:/Documents and Settings/gjc30a/.qgis2/python',

'C:/Documents and Settings/gjc30a/.qgis2/python/plugins', 'C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins', 'C:\\Program

Files\\Tecplot\\Tec360 2009\\python', 'C:\\Program Files\\Tecplot\\Tec360 2009\\examples\\python', 'C:\\Python27\\Lib',

'C:\\PROGRA~1\\QGISVA~1\\bin\\python27.zip', 'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\DLLs',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib', 'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\plat-win',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\lib-tk', 'C:\\PROGRA~1\\QGISVA~1\\bin', 'C:\\Documents and Settings\\gjc30a\\Application

Data\\Python\\Python27\\site-packages', 'C:\\Documents and Settings\\gjc30a\\Application

Data\\Python\\Python27\\site-packages\\setuptools-0.6c11-py2.7.egg-info', 'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages', 'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\PIL',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\win32',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\win32\\lib',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\Pythonwin',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win32.egg',

'C:\\PROGRA~1\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode',

'C:\\PROGRA~1\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools']

Traceback (most recent call last):

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 182, in loadPlugin

    __import__(packageName)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\__init__.py", line 29, in 

    from processing.tools.general import *

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\tools\\general.py", line 29, in 

    from processing.core.Processing import Processing

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\core\\Processing.py", line 49, in 

    from processing.algs.QGISAlgorithmProvider import QGISAlgorithmProvider

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\algs\\QGISAlgorithmProvider.py", line 102, in 

    from processing.algs.CreateConstantRaster import CreateConstantRaster

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\algs\\CreateConstantRaster.py", line 30, in 

    from processing.core.RasterWriter import RasterWriter

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins\\processing\\core\\RasterWriter.py", line 28, in 

    import numpy

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\Documents and Settings\\gjc30a\\Application Data\\Python\\Python27\\site-packages\

umpy\\__init__.py", line 137, in 

    import add_newdocs

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\Documents and Settings\\gjc30a\\Application Data\\Python\\Python27\\site-packages\

umpy\\add_newdocs.py", line 9, in 

    from numpy.lib import add_newdoc

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\Documents and Settings\\gjc30a\\Application Data\\Python\\Python27\\site-packages\

umpy\\lib\\__init__.py", line 13, in 

    from polynomial import *

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\Documents and Settings\\gjc30a\\Application Data\\Python\\Python27\\site-packages\

umpy\\lib\\polynomial.py", line 11, in 

    import numpy.core.numeric as NX

AttributeError: 'module' object has no attribute 'core'

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

2.2.0-Valmiera Valmiera, c3a2817

Python path: ['C:/PROGRA~1/QGISVA~1/apps/qgis/./python', u'C:/Documents and Settings/gjc30a/.qgis2/python', u'C:/Documents and

Settings/gjc30a/.qgis2/python/plugins', 'C:/PROGRA~1/QGISVA~1/apps/qgis/./python/plugins', 'C:\\\\Program Files\\\\Tecplot\\\\Tec360
2009\\\\python', 'C:\\\\Program Files\\\\Tecplot\\\\Tec360 2009\\\\examples\\\\python', 'C:\\\\Python27\\\\Lib',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QGISVA~1\\\\bin', 'C:\\\\Documents and

Settings\\\\gjc30a\\\\Application Data\\\\Python\\\\Python27\\\\site-packages', 'C:\\\\Documents and Settings\\\\gjc30a\\\\Application

Data\\\\Python\\\\Python27\\\\site-packages\\\\setuptools-0.6c11-py2.7.egg-info', 'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win32.egg',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~1\\\\QGISVA~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

#11 - 2014-03-05 06:24 AM - Jürgen Fischer

Simon Dedman wrote:

Same for me, 2.0.1 64 bit Win7, also on the master I believe; had this a long while.

[...]

don't install mapfish.

#12 - 2014-03-05 06:25 AM - Jürgen Fischer

Gary Chandler wrote:

I have the same problem when starting QGIS desktop, but it is with the latest Windows 32-bit version (2.2.0) downloaded on 5th March. I am running

windows XP 32-bit.

[...]

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\Documents and Settings\\gjc30a\\Application Data\\Python\\Python27\\site-packages\

umpy\\lib\\__init__.py", line 13, in 

    from polynomial import *

  File "C:/PROGRA~1/QGISVA~1/apps/qgis/./python\\qgis\\utils.py", line 453, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "C:\\Documents and Settings\\gjc30a\\Application Data\\Python\\Python27\\site-packages\

umpy\\lib\\polynomial.py", line 11, in 

    import numpy.core.numeric as NX

AttributeError: 'module' object has no attribute 'core'

You're mixing python installations.
#13 - 2014-03-06 12:22 PM - Gary Chandler

Thanks very much. I already had python 2.7 installed and solved the problem by uninstalling python and deleting all the left over python paths and

directories.

#14 - 2014-05-30 08:57 AM - Jürgen Fischer

- Status changed from Reopened to Closed
